#define __OCICPP_INTERNAL_USE_

#include "OraLabel.h"

OraLabel::OraLabel(OCIEnv *envhp,OCIError *errhp,OCIParam *paramd,ub2 type,int rows) : 
				OraType(envhp,errhp,paramd,type,rows)
{
	ReqType=SQLT_STR; /* Request a Null-terminating string */
	size=255;
	data=(char *)calloc((size+1)*nRows,sizeof(char));
	
}

OraLabel::~OraLabel() {
	free(data);
	OCIHandleFree(definehp,OCI_HTYPE_DEFINE);
}

void OraLabel::getStr(string &str,int row) {
	if(data) str.assign(data+(size+1)*row);
	else throw new OraError("OCICPPLIB: Cannot getStr: Not fetched yet",OCICPPERROR);
}

void OraLabel::define(OCIStmt *stmt,int col) {
	 CHECKERR(err, OCIDefineByPos(stmt, &definehp, err, col+1, data, size+1,ReqType,
	                                (dvoid *) null, 0, (ub2 *)0, OCI_DEFAULT));
}